#!/usr/bin/make -f

export PYBUILD_NAME=django-ordered-model

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	set -e; \
	for loc in ordered_model/locale/*; do \
		python3 setup.py compile_catalog --directory ordered_model/locale/ --locale $$(basename $$loc) --domain django; \
	done
	dh_auto_build

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} /usr/bin/django-admin test --pythonpath=. --settings=tests.settings"
